Skip to main content
`Ctrl`+`K`

# DMPlexMetricNoSwapping

Is facet swapping turned off?

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricNoSwapping(DM dm, PetscBool *noSwap)

## Input Parameters

- dm - The `DM`

## Output Parameters

- noSwap - Is facet swapping turned off?

## Note

This is only used by Mmg and ParMmg (not Pragmatic).

## See Also

`DMPLEX`, `DMPlexMetricSetNoSwapping()`, `DMPlexMetricNoInsertion()`, `DMPlexMetricNoMovement()`, `DMPlexMetricNoSurf()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages